package com.wechat.dao;

import java.util.ArrayList;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.RedisGeneratorDao;
import com.wechat.model.responseDto.PhoneCodeResp;
@Repository
public class RedisPhoneCodeResp extends RedisGeneratorDao<String, ArrayList<PhoneCodeResp>> {
	private String tableKey = "RedisPhoneCodeResp";

    public ArrayList<PhoneCodeResp> selectMessageInfo(String infoKey) {
        return selectOne(tableKey, infoKey);
    }

    public void updateMessageInfo(String infoKey, ArrayList<PhoneCodeResp> infoValue) {
        update(tableKey, infoKey, infoValue);
    }

    public void insertMessageInfo(String infoKey, ArrayList<PhoneCodeResp> infoValue) {
        insert(tableKey, infoKey, infoValue);
    }

    public void deleteMessageInfo(String infoKey) {
        delete(tableKey, infoKey);
    }
}
